/*
Basic CSS stylesheet for Operandi company website

** Feel free to use any part of this code **

* Created by: Filip Hurdálek
* Version: 1.031424
* Website: www.operandi.cz
* E-mail: info@filiphurdalek.cz
* Phone: +420 776 185 024

*/


/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;600;700;900&display=swap');

/* Basic elements */
* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

body,html {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    color: #111111;
    font-size: 18px;
    font-weight: 100;
    display: block;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    -webkit-text-size-adjust: none;
    overflow-x: hidden;
}

body {
    background: #F5F5F5;
}

img {
    width: 100%;
    display: block;
}

p {
    padding: 0;
    margin: 0 0 0.5em 0;
}

a {
    font-weight: 500;
    text-decoration: none;
    color: #111111;
    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

button {
    padding: 0;
    margin: 0;
    border: none;
    outline: none;
    background: none;
    font-family: inherit;
    font-size: 1rem;
}

a:hover {
    cursor: pointer;
    color: #888888;
}

h1,h2,h3,h4,h5,h6 {
    padding: 0;
    margin: 0 0 1em 0;
    font-weight: 700;
}

h2 {
    font-size: 1.5rem;
    font-weight: 500;
    text-transform: uppercase;
}

h2 > span::first-letter {
    font-size: 1.5em;
}

strong {
    font-weight: 400;
}

#mobile-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

#langs {
    width: 100%;
    padding: 1em 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

#langs > a {
    padding: 8px 12px;
    margin-right: 1rem;
    border-radius: 12px;
    border: 1px solid transparent;
    background: #F5F5F5;
    font-size: 14px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: .5rem;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

#langs > a:hover {
    border: 1px solid #888888;
}

#to-top {
    display: none;
}

.show {
    display: block;
}

.hide {
    display: none;
}

/* Site elements */

.sizing,.content-sizing {
    width: 100%;
    max-width: 1140px;
    margin: auto;
}

.content-sizing {
    padding: 70px 0;
}

.white-box,.grey-box, .black-box {
    width: 100%;
    padding: 0 20px;
}

.white-box {
    background: #F5F5F5;
}

.grey-box {
    background: #EBEBEB;
}

.black-box {
    background: #111111;
    color: #EBEBEB;
}

header {
    width: 100%;
    padding: 1rem 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

#logo {
    width: auto;
    height: 40px;
    -o-object-fit: cover;
    object-fit: cover;
}

#menu {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    text-align: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: end;
}

.menu-button {
    padding: 8px 16px;
    margin-left: 1rem;
    background: #EBEBEB;
    font-weight: 400;
    border: 1px solid transparent;
    border-radius: 40px;
    cursor: pointer;
}

.menu-button:hover {
    border: 1px solid #111111;
    color: #111111;
}

#active-menu {
    background: #111111;
    color: #F5F5F5;
}

#mobile-menu {
    display: none;
}

#menu-modal {
    padding: 50px 40px 50px 60px;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 998;
    background: rgba(0,0,0,0.9);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}

#menu-content a {
    padding: 0 20px;
    margin-bottom: 50px;
    border-right: 2px solid #EBEBEB;
    text-align: right;
    color: #EBEBEB;
    display: block;
}

#close-menu {
    width: auto;
    padding: 5px 8px;
    border-radius: 6px;
    border: 1px solid #EBEBEB;
    color: #EBEBEB;
    text-align: center;
    margin: 0 0 50px auto;
    font-size: 14px;
    display: block;
}

#hero {
    padding: 90px 0;
    font-weight: 100;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 50px 1fr;
    grid-template-columns: 1fr 1fr;
    grid-gap: 50px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

#hero h1 {
    font-size: 3.5rem;
    margin: 0 0 2rem 0;
}

#hero h1 span:first-of-type {
    font-size: 1.5rem;
    font-weight: 300;
    text-transform: uppercase;
    display: block;
}

#hero p {
    font-size: 1.25rem;
}

#hero-buttons {
    margin-top: 2rem;
    text-align: center;
    gap: 1.5rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

#hero-buttons > a {
    font-weight: 300;
    padding: .75rem 2rem;
    border-radius: 50px;
}

#hero-buttons > a:first-of-type {
    background: #111111;
    color: #F5F5F5;
    border: 1px solid #111111;
}

#hero-buttons > a:last-of-type {
    border: 1px solid #111111;
    color: #111111;
}

#hero img, .big-box img {
    border-radius: 12px;
}

.content-sizing > h2 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: .5em;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.content-sizing > h2 img {
    width: auto;
    height: 0.75em;
}

.big-box {
    margin-bottom: 2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 50px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.reverse {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

.big-box > * {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.big-box-content p:first-of-type {
    font-size: 2rem;
    font-weight: 500;
}

.big-box-content h3 {
    margin: 1.5rem 0 .75rem 0;
    font-size: 1.25rem;
    font-weight: 500;
    text-transform: uppercase;
}

.big-box-content h3::first-letter {
    font-size: 1.5em;
}

.big-box iframe {
    max-width: 100%;
    border-radius: 12px;
}

.double-grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1rem 1fr;
    grid-template-columns: 1fr 1fr;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
    grid-gap: 1rem;
}

.triple-grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1rem 1fr 1rem 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
    grid-gap: 1rem;
}

.content-stripe {
    padding: 25px 30px;
    border-radius: 12px;
    background: #EBEBEB;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 55px 30px auto;
    grid-template-columns: 55px auto;
    -ms-grid-rows: auto auto;
    grid-template-rows: auto auto;
    grid-column-gap: 30px;
    grid-auto-flow: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.content-stripe > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

.content-stripe > *:nth-child(2) {
    -ms-grid-row: 2;
    -ms-grid-column: 1;
}

.content-stripe > *:nth-child(3) {
    -ms-grid-row: 1;
    -ms-grid-column: 3;
}

.content-stripe > *:nth-child(4) {
    -ms-grid-row: 2;
    -ms-grid-column: 3;
}

.content-stripe > p {
    font-size: 16px;
    margin: 0;
}

.content-stripe > p:first-of-type {
    font-weight: 500;
    text-transform: uppercase;
}

.content-stripe > p::first-letter {
    font-size: 1.25em;
}

.content-stripe-img {
    width: 55px;
    height: 55px;
    background: #F5F5F5;
    border-radius: 6px;
    -ms-grid-row: 1;
    -ms-grid-row-span: 2;
    grid-row: 1/3;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.content-stripe-img img {
    width: 26px;
    height: 26px;
    -o-object-fit: cover;
    object-fit: cover;
}

.info-box {
    background: #F5F5F5;
    border-radius: 12px;
    padding: 20px 30px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-line-pack: justify;
    align-content: space-between;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}

.info-box p:first-of-type {
    font-size: .8em;
    font-weight: 500;
    text-transform: uppercase;
}

.info-box p::first-letter {
    font-size: 1.25em;
}

.iconic {
    text-align: center;
    -ms-grid-row-span: 2;
    grid-row: span 2;
}

.iconic img {
    width: 70px;
    height: 70px;
    margin: 0 auto 1rem auto;
    -o-object-fit: cover;
    object-fit: cover;
}

.iconic ~ .info-box:nth-of-type(2), .iconic ~ .info-box:nth-of-type(3) {
    -ms-grid-column-span: 2;
    grid-column: span 2;
}

#stats {
    text-align: center;
    margin-bottom: 2rem;
}

#stats p > span:first-of-type {
    font-size: 3rem;
    font-weight: 400;
    display: block;
}

.post {
    background: #EBEBEB;
    border-radius: 12px;
    padding: 30px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.post img {
    margin-top: 1.5rem;
    border-radius: 8px;
}

.post h3 {
    font-size: 1.1rem;
    font-weight: 500;
    text-transform: uppercase;
}

.post h3::first-letter {
    font-size: 1.25em;
}

#contact-grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1.5rem 1fr 1.5rem 1fr 1.5rem 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 1.5rem;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
}

.contact {
    padding: 30px;
    border-radius: 12px;
    border: 1px solid #F5F5F5;
}

.contact p {
    margin: 0 0 .5em 0;
}

.contact p:first-of-type {
    font-size: .75rem;
    font-weight: 400;
    text-transform: uppercase;
    margin-bottom: .5em;
}

.contact p:first-of-type::first-letter {
    font-size: 1.5em;
}

footer {
    width: 100%;
    padding: 20px;
    font-size: 16px;
    background: #111111;
    color: #888888;
    border-top: 1px solid #EBEBEB;
    text-align: center;
}

footer a {
    color: #F5F5F5;
    text-decoration: underline;
}

@media only screen and (max-width: 1024px) {

    .sizing,.content-sizing {
        width: 90%;
    }

    #hero, .big-box {
        display: block;
    }

    #hero-content {
        padding: 50px 0;
        text-align: center;
    }

    #hero-buttons {
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    .big-box-content {
        padding: 50px 0;
    }

    .double-grid,.grey-box .triple-grid {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .info-box {
        -webkit-box-pack: start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    .iconic, .iconic ~ .info-box:nth-of-type(2), .iconic ~ .info-box:nth-of-type(3) {
        grid-row: auto;
        grid-column: auto;
    }

    .iconic {
        text-align: left;
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: 40px 30px auto;
        grid-template-columns: 40px auto;
        -ms-grid-rows: auto auto;
        grid-template-rows: auto auto;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        grid-column-gap: 30px;
        grid-auto-flow: column;
    }

    .iconic > *:nth-child(1) {
        -ms-grid-row: 1;
        -ms-grid-column: 1;
    }

    .iconic > *:nth-child(2) {
        -ms-grid-row: 2;
        -ms-grid-column: 1;
    }

    .iconic > *:nth-child(3) {
        -ms-grid-row: 1;
        -ms-grid-column: 3;
    }

    .iconic > *:nth-child(4) {
        -ms-grid-row: 2;
        -ms-grid-column: 3;
    }

    .iconic img{
        width: 40px;
        height: 40px;
        margin: 0;
        -ms-grid-row-span: 2;
        grid-row: span 2;
    }

    .big-box iframe {
        width: 100%;
    }

    .black-box .big-box-content {
        text-align: center;
    }

    #contact-grid {
        -ms-grid-columns: 1fr 1.5rem 1fr;
        grid-template-columns: 1fr 1fr;
    }
}

@media only screen and (max-width: 780px) {
    .sizing,.content-sizing {
        width: 95%;
    }

    header {
        padding: 40px 0;
    }

    #langs {
        -webkit-box-pack: start;
        -ms-flex-pack: start;
        justify-content: start;
    }

    #langs > a {
        margin: 0 .75em 0 0;
    }

    #langs > a > span {
        display: none;
    }

    #hero {
        padding: 50px 0;
    }

    #menu {
        display: none;
    }

    #mobile-menu {
        padding: 8px 12px;
        color: #111111;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        gap: 1rem;
        background: #F5F5F5;
        border-radius: 6px;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    #mobile-menu img {
        width: 1rem;
        height: 1rem;
        -o-object-fit: cover;
        object-fit: cover;
    }

    #to-top {
        width: 40px;
        height: 40px;
        background: #F5F5F5;
        border-radius: 6px;
        -webkit-box-shadow: 0 4px 8px rgba(0,0,0,0.2);
        box-shadow: 0 4px 8px rgba(0,0,0,0.2);
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        position: fixed;
        bottom: 20px;
        right: 20px;
        z-index: 996;
    }

    #to-top img {
        width: auto;
        height: 18px;
    }

    h2 {
        font-size: 1.25rem;
    }

    .content-sizing > h2 {
        text-align: center;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        gap: .5rem;
    }

    .content-sizing > h2 img {
        width: 30px;
        height: 30px;
    }

    .big-box-content p:first-of-type {
        text-align: center;
    }
}

@media only screen and (max-width: 570px) {
    #logo{
        margin: auto;
    }

    header {
        padding: 25px 0 0 0;
    }

    .sizing,.content-sizing {
        width: 100%;
    }

    #hero-buttons {
        -webkit-box-pack: space-evenly;
        -ms-flex-pack: space-evenly;
        justify-content: space-evenly;
    }

    #hero {
        padding: 0;
    }

    #hero h1 {
        font-size: 2.5rem;
    }

    .big-box-content {
        padding: 25px 0;
    }

    .big-box-content p:first-of-type {
        margin-bottom: 2rem;
    }

    .iconic {
        text-align: center;
        display: block;
    }

    .iconic img {
        width: 60px;
        height: 60px;
        margin: 0 auto 1rem auto;
    }

    .triple-grid,#contact-grid {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }

    .double-grid {
        margin-top: 1rem;
        grid-gap: 1.5rem;
    }

    .triple-grid {
        grid-gap: 2rem;
    }

    .post,.content-stripe {
        padding: 25px 15px;
    }

    .post img {
        aspect-ratio: 16/9;
        -o-object-fit: cover;
        object-fit: cover;
    }

    .contact,.post h3,.info-box p:first-of-type {
        text-align: center;
    }
}